summaryrefslogtreecommitdiff
path: root/tests/od/od-N
diff options
context:
space:
mode:
Diffstat (limited to 'tests/od/od-N')
-rwxr-xr-xtests/od/od-N4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/od/od-N b/tests/od/od-N
index b82d2c12b..98be06653 100755
--- a/tests/od/od-N
+++ b/tests/od/od-N
@@ -23,7 +23,7 @@ echo abcdefg > in || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -38,4 +38,4 @@ cmp out exp || {
diff out exp 2> /dev/null
}
-(exit $fail); exit
+(exit $fail); exit $fail